/**
 * A custom hook that throttles a function. The function will only be allowed to execute
 * at most once every specified number of milliseconds.
 *
 * @param value The value to be throttled.
 * @param limit The time frame in milliseconds during which the function can only be executed once.
 * @returns The throttled value.
 */
export declare function useThrottle<T>(value: T, limit: number): T;
